org.apache.solr.handler.component

## Class FacetComponent.FacetInfo

- java.lang.Object
- - org.apache.solr.handler.component.FacetComponent.FacetInfo

- Enclosing class:
    FacetComponent

      public static class FacetComponent.FacetInfo
      extends Object

  This class is used exclusively for merging results from each shard in a distributed facet request. It plays no role in the computation of facet counts inside a single node. A related class `FacetComponent.FacetContext` exists for assisting computation inside a single node. This API is experimental and subject to change
  See Also:
    `FacetComponent.FacetContext`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SimpleOrderedMap<SimpleOrderedMap<Object>>` | `dateFacets`
    `LinkedHashMap<String,FacetComponent.DistribFieldFacet>` | `facets`
    `LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet>` | `heatmapFacets`
    `SimpleOrderedMap<SimpleOrderedMap<Integer>>` | `intervalFacets`
    `SimpleOrderedMap<PivotFacet>` | `pivotFacets`
    `LinkedHashMap<String,FacetComponent.QueryFacet>` | `queryFacets`
    `LinkedHashMap<String,org.apache.solr.handler.component.RangeFacetRequest.DistribRangeFacet>` | `rangeFacets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetInfo()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queryFacets

          public LinkedHashMap<String,FacetComponent.QueryFacet> queryFacets

    - #### facets

          public LinkedHashMap<String,FacetComponent.DistribFieldFacet> facets

    - #### dateFacets

          public SimpleOrderedMap<SimpleOrderedMap<Object>> dateFacets

    - #### rangeFacets

          public LinkedHashMap<String,org.apache.solr.handler.component.RangeFacetRequest.DistribRangeFacet> rangeFacets

    - #### intervalFacets

          public SimpleOrderedMap<SimpleOrderedMap<Integer>> intervalFacets

    - #### pivotFacets

          public SimpleOrderedMap<PivotFacet> pivotFacets

    - #### heatmapFacets

          public LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet> heatmapFacets

  - ### Constructor Detail

    - #### FacetInfo

          public FacetInfo()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.